# DoorDrop Version 0.2.1
This is a small app written in VB.NET with the intention it be used with the [Synchronet Bulletin Board](http://synchro.net/) software

You can run this app as a stand alone app and it will work just fine, but it won't have the *door drop* files to read. The System Information portion should work just fine though.

Included in the archive are both the Linux and Windows version of the app. The `DoorDrop.exe` is the windows version and `DoorDrop` the Linux version. Choose which one to use depending on what you have.

## Linux
Before you can run this app on Linux, you must install the runtime. 

use:
`sudo apt install libmono-microsoft-visualbasic10.0-cil`

## Windows
This app requires the .NET Framework 4.8. It might or might not work with other versions of the framework. I haven't included all the runtime stuff in the archive, because the assumption is that most people have the runtimes or can get them pretty easily.

## Installation
As a first step, run the app from the commandline. If it works, then you have the correct runtimes.

Once you are assured of that, then you can proceed to install it on your BBS as a Door (External Program).

Run the SBBS Config App `SCFG` on your system. You should know where to find this.

From the initial window, select:
* `External Programs`, 
* `Online Programs (Doors)`
* `Main` (recommended)
* `Available Online Programs`

Move to the end of the list where there is a blank spot, and press `Enter`. It will come up with a prompt to enter *Online Program Name*. Type in *DoorDrop* and press enter

*Internal Code* - *DOORDROP* `enter`

It will return you to the list. Hit `Enter` again on the *DoorDrop* entry.

This will bring up the configuration screen.

Choose *Start-up Directory* and enter *../xtrn/DoorDrop/*

*Commandline* should be *%SDoorDrop%.*

*Access Requirements* I would recommend, at least initially, you set so only you can access it. Possibly *Level 99*. Your choice.

*Intercept I/O*, the choices are:
- *Standard*
- *Program uses WWIV Colors* - *Yes* (Note, not entirely true but you have a better chance of it showing colors with this)

*Echo Keyboard Input* is your choice. Either Yes or no works.

*Native Executable* is *Yes*

*BBS Drop File Type*. This is where it starts to get interesting. You can currently choose one of *Synchronet XTRN.DAT* or *GAP Door.SYS* as those are the only two that work at the moment. I'd suggest you duplicate your setup (two options in your Doors menu) once with each different Door Drop type.

*Use Real Names* - Your choice. Feel free to experiment

*Lowercase Filename* ***Must*** be ***Yes**

The rest should be fine with the defaults.
Your final setup should look like this:
![DoorDrop Setupscreen](DoorDrop_SBBS.png)

## Install the App
You need to copy the app to your SBBS directory structure. If you followed along and made the choice outlined above: 
`Choose *Start-up Directory* and enter *../xtrn/DoorDrop/*`
Then you need to change to your sbbs directory (c:\sbbs or /sbbs usually) and the xtrn directory under that.
Create a directory called `DoorDrop` (c:\sbbs\xtrn\DoorDrop or /sbbs/xtrn/DoorDrop)
Copy the executable file into that directory (`DoorDrop.exe` [Win] or `DoorDrop` [Linux])

And now you're ready to *Rock and Roll*

Make sure you log off your BBS so that the servers can recycle. (All users need to disconnect before that happens AFAIK). Then reconnect and log in. Choose [*X*]ternal Programs, [*1*] Main, and the number for the *DoorDrop* app you created.

From there it should be pretty self explanatory.

## Issues
### Snags 
If you hit any snags, feel free to contact me using any of the methods outlined below.

### Screen Pause
I haven't implemented a screen pause for long output. This is especially evident on the option 4 *System Information*. We'll get there. In the meantime, scrollback should work.

### Future Developments
I Intend adding at least some of the other Door Drop formats. If there is one in particular that you'd like to see, message me and If I have the format I'll move that up my priority list. If I don't, you'll have to get the format/specification for me.

# Contact
I'm pretty much always online. You can try [email](mailto:dovey.john@gmail.com) first, Netmail to `BoonDock@Vert/Elgato`, Logging onto my Board via Telnet/RLogin/SSH at elgato.synchronetbbs.org or via http at (http://elgato.synchronetbbs.org)

dFailing all those, any of the `DOVE-Net`QWK Conferences.




